import { ComponentType, ReactNode } from 'react';
import { DefaultOptions, Options } from './config/options';
export interface ContentProps<Props = void, Response = undefined> {
    open: boolean;
    onClose: (response?: Response) => void;
    props: Props;
}
export type ContentComponent<P, R> = ComponentType<ContentProps<P, R>>;
export interface Layer {
    component: ContentComponent<unknown, unknown>;
    isOpen: boolean;
    options: DefaultOptions;
    props?: unknown;
    resolve?: (value: unknown) => void;
}
export interface ContextState<P, R> {
    register: (obj: ContentComponent<P, R>, opts?: Partial<Options<R>>) => string;
    unregister: (id: string) => void;
    show: (id: string, props?: P) => Promise<R | undefined>;
    hide: (id: string) => void;
    hideAll: () => void;
    hideLatest: () => void;
    updateProps: (id: string, props: unknown) => void;
    getOpenLayers: () => Array<[string, Layer]>;
}
export declare const LayersContext: import("react").Context<ContextState<unknown, unknown>>;
interface ProviderProps {
    children: ReactNode;
    options?: Partial<Options<unknown>>;
}
export declare const Provider: ({ children, options }: ProviderProps) => JSX.Element;
export {};
